﻿#ifndef B1ActionInitialization_h
#define B1ActionInitialization_h 1

#include "G4VUserActionInitialization.hh"

/// Action initialization class.

namespace B1 {

class ActionInitialization : public G4VUserActionInitialization {
public:
    ActionInitialization();
    ~ActionInitialization() override;

    void BuildForMaster() const override;  // 多线程的用户行为初始化
    void Build() const override;           // 单线程的用户行为初始化
};

}  // namespace B1

#endif
